Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class CustomButton.Face

    java.lang.Object
      com.google.gwt.user.client.ui.CustomButton.Face

All Implemented Interfaces:
  HasHTML, HasText

Enclosing class:
  CustomButton

    public abstract class CustomButton.Face

extends java.lang.Object
implements HasHTML, HasText

Represents a button's face. Each face is associated with its own style modifier and, optionally, its own contents html, text, or image.

Method Summary
`java.lang.String` | `getHTML()` Gets the face's contents as html.
`java.lang.String` | `getText()` Gets the face's contents as text.
`void` | `setHTML(java.lang.String html)` Set the face's contents as html.
`void` | `setImage(Image image)` Set the face's contents as an image.
`void` | `setText(java.lang.String text)` Sets the face's contents as text.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHTML

    public java.lang.String getHTML()

  Gets the face's contents as html.

  Specified by:
    `getHTML` in interface `HasHTML`
  Returns:
    face's contents as html

### getText

    public java.lang.String getText()

  Gets the face's contents as text.

  Specified by:
    `getText` in interface `HasText`
  Returns:
    face's contents as text

### setHTML

    public void setHTML(java.lang.String html)

  Set the face's contents as html.

  Specified by:
    `setHTML` in interface `HasHTML`
  Parameters:
    `html` - html to set as face's contents html

### setImage

    public final void setImage(Image image)

  Set the face's contents as an image.

  Parameters:
    `image` - image to set as face contents

### setText

    public final void setText(java.lang.String text)

  Sets the face's contents as text.

  Specified by:
    `setText` in interface `HasText`
  Parameters:
    `text` - text to set as face's contents

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD